<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8"/>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <title>开始使用layui</title>
    <link rel="stylesheet" href="../static/layui/css/layui.css">

</head>
<body>
<div>
    <form class="layui-form"> <!-- 提示：如果你不想用form，你可以换成div等任何一个普通元素 -->
        <div class="layui-form-item">
            <label class="layui-form-label">模型名称</label>
            <div class="layui-input-block">
                <input type="text" name="name" placeholder="请输入" autocomplete="off" class="layui-input"
                       lay-verify="required">
            </div>
        </div>
        <div class="layui-form-item">
            <label class="layui-form-label">模型Key</label>
            <div class="layui-input-block">
                <input type="text" name="key" placeholder="请输入" autocomplete="off" class="layui-input"
                       lay-verify="required">
            </div>
        </div>
        <div class="layui-form-item">
            <label class="layui-form-label">模型备注</label>
            <div class="layui-input-block">
                <input type="text" name="description" placeholder="请输入" autocomplete="off" class="layui-input"
                       lay-verify="required">
            </div>
        </div>
        <div class="layui-form-item">
            <div class="layui-input-block">
                <button class="layui-btn" lay-submit lay-filter="*">创建模型</button>
                <button type="reset" class="layui-btn layui-btn-primary">重置</button>
                <button type="button" class="layui-btn" id="test3"><i class="layui-icon"></i>上传bpmn文件</button>
                <button type="button" class="layui-btn" id="bpmnZip"><i class="layui-icon"></i>上传bpmn+表单文件</button>

            </div>
        </div>
        <!-- 更多表单结构排版请移步文档左侧【页面元素-表单】一项阅览 -->
    </form>

</div>
<table id="demo" lay-filter="test"></table>

<script src="../static/layui/layui.js"></script>
<script>
    var $;
    //一般直接写在一个js文件中
    layui.use(['layer', 'form', 'table', 'jquery','upload'], function () {
        var layer = layui.layer,
            form = layui.form,
            table = layui.table,
            $ = layui.jquery,
            upload = layui.upload;
        //提交数据
        form.on('submit(*)', function (data) {
            console.log(data.field) //当前容器的全部表单字段，名值对形式：{name: value}
            $.ajax({
                url: "/create?name=" + data.field.name + "&key=" + data.field.key,
                type: "get"
            });
        });

        //文件上传
        //指定允许上传的文件类型
        upload.render({
            elem: '#test3'
            ,url: '/upload' //改成您自己的上传接口
            ,accept: 'file' //普通文件
            ,done: function(res){
                let code = res.code;
                let msg = res.msg;
                if (0===code){
                    layer.msg("上传成功", {icon: 1});
                    table.reload('demo');
                }else{
                    layer.msg(msg, {icon: 2});
                }

            }
        });
        //文件上传
        //指定允许上传的文件类型
        upload.render({
            elem: '#bpmnZip'
            ,url: '/zip/upload' //改成您自己的上传接口
            ,accept: 'file' //普通文件
            ,done: function(res){
                let code = res.code;
                let msg = res.msg;
                if (0===code){
                    layer.msg("上传成功", {icon: 1});
                    table.reload('demo');
                }else{
                    layer.msg(msg, {icon: 2});
                }
            }
        });
        //表格渲染
        table.render({
            elem: '#demo'
            , height: 312
            , url: '/list' //数据接口
            , page: true //开启分页
            , cols: [[ //表头
                {field: 'id', title: 'ID', sort: true, fixed: 'left'},
                {field: 'name', title: '模型名称', sort: true},
                {field: 'key', title: '模型key'},
                {field: 'version', title: '版本'},
                {title: '操作', templet: '#titleTpl'}
            ]]
        });
        //发布
        releaseData = function (id) {
            $.ajax({
                url: "/publish?modelId=" + id,
                type: "get",
                success: function (data) {
                    console.log(data);
                    layer.msg(data.msg);
                },
                error: function (data) {
                    $.messager.alert('错误', data.msg);
                }
            });
        }
        //删除
        deleteData = function (id) {
            $.ajax({
                url: "/delete?modelId=" + id,
                type: "get",
                success: function (data) {
                    console.log(data);
                    table.reload('demo');
                    layer.msg(data.msg);
                },
                error: function (data) {
                    $.messager.alert('错误', data.msg);
                }
            });
        }

    });
</script>
<script type="text/html" id="titleTpl">
    <button onclick="releaseData({{d.id}})" type="button" class="layui-btn layui-btn-xs layui-btn-normal">发布</button>
    <a href="/editor?modelId={{d.id}}" type="button" class="layui-btn layui-btn-xs layui-btn-warm">绘制流程图</a>
    <a href="/export/{{d.id}}" type="button" class="layui-btn layui-btn-xs">导出模型图</a>
    <button onclick="deleteData({{d.id}})" type="button" class="layui-btn layui-btn-xs layui-btn-danger">删除</button>
</script>
</body>
</html>